Skip navigation links

MySQL Forums :: MySQL Installer for Windows :: Your PHP MySQL library version 5.0.51a differs from your MySQL server version 5.1.58. This may cause unpredictable behavior.


Advanced Search

Your PHP MySQL library version 5.0.51a differs from your MySQL server version 5.1.58. This may cause unpredictable behavior.
Posted by: Victor PHolmes ()
Date: October 10, 2011 01:37PM

I have Windows 7 64 bit and have just installed the following: Apache 2.2.17, php 5.2.17 and mysql 5.1.58, phpmyadmin 3.4.3.2.

when I login into phpmyadmin I have the following error message:

Your PHP MySQL library version 5.0.51a differs from your MySQL server
version 5.1.58. This may cause unpredictable behavior.

I would like to know how would I fix this or would there be a problem. For php, mysql and phpmyadmin I used the windows installer, for apache I used the zip file.

Once the above is fixed where and what version of MYSQL administration could I install.

I saw that MYSQL 5.5 has the administration, query and I believe the workbench already contained in it, is there an archived version of mysql administration that can be used my version above.

Also once the above problem is fixed, I would also like to download the following Ruby, Rails, Python, pear, Perl - could you tell which version should I download and how to configure them so that they will work with MYSQL, PHP and Apache.

I would appreciate your response in regards to the above. Please I am not an expert I am a beginner.
I thank you for responding. Victor



Edited 1 time(s). Last edit at 10/10/2011 06:05PM by Victor PHolmes.

Options: ReplyQuote


Subject Views Written By Posted
Your PHP MySQL library version 5.0.51a differs from your MySQL server version 5.1.58. This may cause unpredictable behavior. 3763 Victor PHolmes 10/10/2011 01:37PM
Re: Your PHP MySQL library version 5.0.51a differs from your MySQL server version 5.1.58. This may cause unpredictable behavior. 1858 Vladislav Vaintroub 12/01/2011 06:26AM
Re: Your PHP MySQL library version 5.0.51a differs from your MySQL server version 5.1.58. This may cause unpredictable behavior. 1523 晓柯 赵 12/13/2011 03:14AM


Sorry, you can't reply to this topic. It has been closed.

Content reproduced on this site is the property of the respective copyright holders. It is not reviewed in advance by Oracle and does not necessarily represent the opinion of Oracle or any other party.